package coffee._finally.keycloak_metrics;

import org.keycloak.Config;
import org.keycloak.models.KeycloakSession;
import org.keycloak.models.KeycloakSessionFactory;
import org.keycloak.services.resource.RealmResourceProvider;
import org.keycloak.services.resource.RealmResourceProviderFactory;

public class MetricsEndpointFactory implements RealmResourceProviderFactory {
    @Override
    public RealmResourceProvider create(KeycloakSession keycloakSession) {
        return new MetricsEndpoint();
    }

    @Override
    public void init(Config.Scope scope) {
        // empty on purpose
    }

    @Override
    public void postInit(KeycloakSessionFactory keycloakSessionFactory) {
        // empty on purpose
    }

    @Override
    public void close() {
        // empty on purpose as nothing needs to be closed manually
    }

    @Override
    public String getId() {
        return MetricsEndpoint.ID;
    }
}
